using SteamWare;
using System;

public partial class mod_chLang : ApplicationUserControl
{
    protected void dataListLingue_SelectedIndexChanged(object sender, EventArgs e)
    {
        // impongo ad oggetto user la lingua selezionata...
        user_std.UtSn.lingua = dataListLingue.SelectedValue.ToString();
        // salvo richiesta udpate in sessione...
        SteamWare.memLayer.ML.setSessionVal("doUpdateNow","true");
        user_std.UtSn.ricaricaMappaSito();
        Response.Redirect(_paginaCorrente);
    }

    protected override void traduciObj()
    {
        lblScegli.Text = traduci("scegliLingua");
    }

    public string formattaLingua(object breve, object lungo)
    {
        return string.Format("{0} - {1}", breve, lungo);
    }
}
